Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 6582)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/AER/piControl_AER_TEST/COMP/inca.card	(revision 6583)
@@ -12,7 +12,4 @@
 # heat fluxes computed with feedback corresponding to 0 --> no aerosol effects, 1--> aerosol effects selected by ok_ade, ok_aie
 feedb=0
-#coupled model with ORCH
-#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
-CoupOrchInca=n
 #active or not chemistry flux in output 
 calcul_flux=n
@@ -22,4 +19,12 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc ) 
 emi_interp_time=1
+
+#coupled model with Orchidee and Pisces
+#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
+CoupOrchInca=n
+#CoupOceAtm
+CoupOceAtm=n
+transm_dms_oa=n
+
 
 # Specify output frequency for output files 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_TEST/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_TEST/COMP/inca.card	(revision 6582)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_TEST/COMP/inca.card	(revision 6583)
@@ -8,7 +8,4 @@
 # Set LMDZ_10m_winds to choose if the simulation will use online 10m wind (=y) or offline (=n)
 LMDZ_10m_winds=y
-#coupled model with ORCH
-#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
-CoupOrchInca=n
 #active or not chemistry flux in output 
 calcul_flux=n
@@ -18,4 +15,13 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc) 
 emi_interp_time=1
+
+
+#coupled model with Orchidee and Pisces
+#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
+CoupOrchInca=n
+#CoupOceAtm
+CoupOceAtm=n
+transm_dms_oa=n
+
 
 # Specify output frequency for output files 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card	(revision 6582)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/LMDZORINCA/GES/COMP/inca.card	(revision 6583)
@@ -8,7 +8,4 @@
 # Set LMDZ_10m_winds to choose if the simulation will use online 10m wind (=y) or offline (=n)
 LMDZ_10m_winds=y
-#coupled model with ORCH
-#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
-CoupOrchInca=n
 #active or not chemistry flux in output 
 calcul_flux=n
@@ -18,4 +15,13 @@
 #be careful name of sflx file change with the choice of emi_interp_time ( no file / sflx_p2p.nc) 
 emi_interp_time=1
+
+#coupled model with Orchidee and Pisces
+#if yes, you need to put to CHEMISTRY_BVOC=y in orchidee.def and decomment lines for fertilizer and bbg in orchidee.card
+CoupOrchInca=n
+#CoupOceAtm
+CoupOceAtm=n
+transm_dms_oa=n
+
+
 
 # Specify output frequency for output files 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/inca.driver
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/inca.driver	(revision 6582)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/DRIVER/inca.driver	(revision 6583)
@@ -401,4 +401,11 @@
     else
 	IGCM_comp_modifyDefFile nonblocker inca.def emi_interp_time 1
+    fi
+
+    #inca.def : choose coupled model with Pisces
+    if [ ! X${inca_UserChoices_CoupOceAtm} = X ]; then 
+	IGCM_comp_modifyDefFile nonblocker inca.def CoupOceAtm ${inca_UserChoices_CoupOceAtm}
+    else
+	IGCM_comp_modifyDefFile nonblocker inca.def CoupOceAtm n
     fi
 
Index: /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/inca.def
===================================================================
--- /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/inca.def	(revision 6582)
+++ /CONFIG/UNIFORM/v6/IPSLCM6.3/GENERAL/PARAM/inca.def	(revision 6583)
@@ -11,5 +11,5 @@
 ss_corr=_AUTO_: DEFAULT =1 
 #coupled model with orchidee
-CoupOrchInca=_AUTO_
+CoupOrchInca=_AUTO_: DEFAULT=n
 nbveget=15
 #use or not the deposition from orchidee
@@ -29,3 +29,5 @@
 cmip_xml=_AUTO_: DEFAULT =n
 xios_read=n
+#coupled model with pisces
+CoupOceAtm=_AUTO_: DEFAULT=n
 transm_dms_oa=_AUTO_: DEFAULT=n