Index: CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/COMP/pisces.card	(revision 6142)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/EXPERIMENTS/ORCA1_ICE_PISCES/jra/ia/COMP/pisces.card	(revision 6601)
@@ -4,11 +4,16 @@
 [UserChoices]
 pis=y
+gas=n
 age=n
 cfc11=n
 cfc12=n
+sf6=n
+c14=n
 PisFreq=1
 Offline_Mode=n
-Co2Anthr=n
-AtmCo2=2.8432e+02
+AnthrGas=n
+AtmCo2=2.78000e+02
+AtmN2o=2.74372e+02
+AtmCos=3.22225e+02
 OutputLevel=10
 
@@ -17,6 +22,5 @@
 
 [BoundaryFiles]
-List=       (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Dust_inca_LOI/DUST_INCA_LOI6012-histAER_1M_${year}.nc, dust.orca.nc       ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Ndep_input4MIPs/Ndep_input4MIPs_surfaceFluxes_CMIP_NCAR-CCMI-2-0_gn_${year}01-${year}12-clim.nc , ndeposition.orca.nc )
+List=       ()
 
 ListNonDel= (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PiDIC_GLODAPv2_Lauvset2016_r360x180xl75.nc, data_DIC_nomask.nc ), \
@@ -25,28 +29,37 @@
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/PO4_WOA2013_r360x180xl75.nc               , data_PO4_nomask.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Si_WOA2013_r360x180xl75.nc                , data_SIL_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DOC_PISCES_monthly_r360x180xl75.nc        , data_DOC_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DOC_PISCES_annual_r360x180xl75.nc         , data_DOC_nomask.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Fer_FEMIP_model_median_r360x180xl75.nc    , data_FER_nomask.nc ), \
             (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/NO3_WOA2013_r360x180xl75.nc               , data_NO3_nomask.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_eorca1_bilinear.nc    , weights_3D_r360x180_bilin.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Dust_inca_LOI/weights_LMD144142_eORCA1_bilinear.nc , weights_lmd144142_bilin.nc ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/Ndep_input4MIPs/weights_CMIP_NCAR-CCMI_eORCA1_bilinear.nc, weights_2d_bilin.nc), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${ORCAGRID}_pmarge_etopo.nc                    , bathy.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${ORCAGRID}_river_global_news.nc               , river.orca.nc      ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${ORCAGRID}_par_fraction_gewex_clim90s00s.nc   , par.orca.nc        ), \
-            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${ORCAGRID}_Solubility_T62_Mahowald.nc         , solubility.orca.nc ), \
-            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CFCs_CDIAC.dat                      , CFCs_CDIAC.dat     ), \
-            (${R_IN}/OCE/NEMO/FORCINGS/GHG/CO2_OMIP6_1600_2014.txt             , atcco2.txt         )
-
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/N2O_PISCES_annual_r360x180xl75.nc         , data_N2O_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DMS_PISCES_annual_r360x180xl75.nc         , data_DMS_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ISP_PISCES_annual_r360x180xl75.nc         , data_ISP_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/CO_PISCES_annual_r360x180xl75.nc          , data_CO_nomask.nc  ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/COS_PISCES_annual_r360x180xl75.nc         , data_COS_nomask.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_3D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/weights_3D_r360x180_${opa9_UserChoices_ORCA_version}_bilinear.nc, weights_2D_r360x180_bilin.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_pmarge_etopo.nc                    , pmarge.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_river_global_news.nc               , river.orca.nc      ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/${opa9_UserChoices_ORCA_version}_par_fraction_gewex_clim90s00s.nc   , par_fraction.orca.nc ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/DUST_INCA_r360x180.new.nc                 , dustdep.nc       ), \
+            (${R_IN}/OCE/NEMO/${opa9_UserChoices_ORCA_version}/PISCES/ndeposition_Duce_annual_eORCA1-r360x180.nc, nitdep.nc)
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref         , namelist_pisces_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref   ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
-        (${SUBMIT_DIR}/PARAM/NAMELIST/${RESOL_OCE}/namelist_top_cfg      , namelist_top_cfg           ), \
-        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_pisces_cfg                , namelist_pisces_cfg        ), \
-        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_trc_cfg                   , namelist_trc_cfg           ), \
-        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-top.xml                   , file_def_nemo-top.xml   )
+List=   (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_top_ref            , namelist_top_ref             ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_pisces_ref         , namelist_pisces_ref          ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/namelist_trc_ref            , namelist_trc_ref             ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml    ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_top_p4z_cfg                                   , namelist_top_p4z_cfg         ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_top_p4z_gas_cfg                               , namelist_top_p4z_gas_cfg     ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_pisces_cfg                                    , namelist_pisces_cfg          ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/namelist_trc_cfg                                       , namelist_trc_cfg             ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/CFCs_CDIAC.dat                                         , CFCs_CDIAC.dat               ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/atmc14.dat                                             , atmc14.dat                   ), \
+        (${SUBMIT_DIR}/PARAM/NAMELIST/splco2.dat                                             , splco2.dat                   ), \
+        (${SUBMIT_DIR}/PARAM/XML/file_def_nemo-top.xml                                       , file_def_nemo-top.xml        ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/global_co2_yearly_2022.txt  , atmco2.txt                   ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/global_n2o_yearly_2022.txt  , atmn2o.txt                   ), \
+        (${MODIPSL}/modeles/NEMO/cfgs/ORCA_ICE_PISCES_GAS/EXPREF/global_cos_yearly_2022.txt  , atmcos.txt                   )
 
 
@@ -64,18 +77,13 @@
         (${config_UserChoices_JobName}_1y_CFC11.nc         , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_CFC11.nc     , NONE ) , \
         (${config_UserChoices_JobName}_1y_CFC12.nc         , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_CFC12.nc     , NONE ) , \
+        (${config_UserChoices_JobName}_1y_SF6.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_SF6.nc       , NONE ) , \
+        (${config_UserChoices_JobName}_1y_C14.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_C14.nc       , NONE ) , \
+        (${config_UserChoices_JobName}_1y_gas.nc           , ${R_OUT_MBG_O_Y}/${PREFIX}_1Y_gas.nc       , NONE ) , \
         (${config_UserChoices_JobName}_1m_bioscalar.nc     , ${R_OUT_MBG_O_M}/${PREFIX}_1M_bioscalar.nc , Post_1M_bioscalar) , \
         (${config_UserChoices_JobName}_1m_ptrc_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_ptrc_T.nc    , NONE   ) , \
         (${config_UserChoices_JobName}_1m_diad_T.nc        , ${R_OUT_MBG_O_M}/${PREFIX}_1M_diad_T.nc    , NONE   ) , \
+        (${config_UserChoices_JobName}_1m_gas.nc           , ${R_OUT_MBG_O_M}/${PREFIX}_1M_gas.nc       , NONE   ) , \
         (${config_UserChoices_JobName}_1d_bioscalar.nc     , ${R_OUT_MBG_O_D}/${PREFIX}_1D_bioscalar.nc , NONE)
 
-
-[Post_1D_bioscalar]
-Patches = ()
-GatherWithInternal = (time_counter, time_instant, time_instant_bounds)
-TimeSeriesVars2D = (pno3tot, ppo4tot, psiltot, palktot, pfertot, tcflx, tcflxcum, tcexp, tintpp, tnfix, tdenit)
-ChunckJob2D = NONE
-TimeSeriesVars3D = ()
-ChunckJob3D = NONE
-Seasonal=OFF
 
 [Post_1M_bioscalar]
@@ -92,7 +100,7 @@
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
 TimeSeriesVars2D = ()
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si)
-ChunckJob3D = 50Y
+ChunckJob2D = NONE
+TimeSeriesVars3D = ()
+ChunckJob3D = NONE
 Seasonal=OFF
 
@@ -100,34 +108,16 @@
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2, EPC100, INTPP)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (TPP)
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_ptrc_T]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = OFF
-TimeSeriesVars3D = (Alkalini, NCHL, DCHL, DIC, Fer, NO3, O2, PO4, Si )
+TimeSeriesVars2D = (Cflx, Dpco2)
+ChunckJob2D = 100Y
+TimeSeriesVars3D = ()
 ChunckJob3D = NONE
 Seasonal=OFF
 
-[Post_1Y_diad_T]
+[Post_1M_gas]
 Patches = ()
 GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (Cflx, Dpco2, EPC100, Heup,  Nfix)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (PAR, TPP)
-ChunckJob3D = 50Y
-Seasonal=OFF
-
-[Post_1Y_inerttrc]
-Patches = ()
-GatherWithInternal = (nav_lon, nav_lat, deptht, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = OFF
-TimeSeriesVars3D = (Age)
+TimeSeriesVars2D = (N2Oflx, Dpn2o, DMSflx, COSflx, COflx, ISPflx)
+ChunckJob2D = 100Y
+TimeSeriesVars3D = ()
 ChunckJob3D = NONE
 Seasonal=OFF