Index: CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_gas_cfg
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_gas_cfg	(revision 6601)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5/GENERAL/PARAM/NAMELIST/namelist_top_p4z_gas_cfg	(revision 6618)
@@ -51,8 +51,8 @@
    sn_tracer(24)  = 'NH4     ' , 'Ammonium Concentration                 ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
    sn_tracer(25)  = 'N2O     ' , 'Nitrous Oxide Concentration            ',  'mol-N/L' , .true.  , .false., .false., .false. , .false.
-   sn_tracer(26)  = 'DMS     ' , 'Dimethylsulfide Concentration          ',  'mol-S/L' , .false. , .false., .false., .false. , .false.
-   sn_tracer(27)  = 'CO      ' , 'Carbon Monoxide Concentration          ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
-   sn_tracer(28)  = 'ISP     ' , 'Isoprene Concentration                 ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
-   sn_tracer(29)  = 'COS     ' , 'Carbonyl Sulfide Concentration         ',  'mol-C/L' , .false. , .false., .false., .false. , .false.
+   sn_tracer(26)  = 'DMS     ' , 'Dimethylsulfide Concentration          ',  'mol-S/L' , .true.  , .false., .false., .false. , .false.
+   sn_tracer(27)  = 'CO      ' , 'Carbon Monoxide Concentration          ',  'mol-C/L' , .true.  , .false., .false., .false. , .false.
+   sn_tracer(28)  = 'ISP     ' , 'Isoprene Concentration                 ',  'mol-C/L' , .true.  , .false., .false., .false. , .false.
+   sn_tracer(29)  = 'COS     ' , 'Carbonyl Sulfide Concentration         ',  'mol-C/L' , .true.  , .false., .false., .false. , .false.
 /
 !-----------------------------------------------------------------------
@@ -78,17 +78,17 @@
    sn_trcdta(28) = 'data_ISP_nomask.nc',        -12        ,  'ISP'     ,    .false.   , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
    sn_trcdta(29) = 'data_COS_nomask.nc',        -12        ,  'COS'     ,    .false.   , .true. , 'yearly'  , 'weights_3D_r360x180_bilin.nc'       , ''   , ''
-   rn_trfac(1)   =   1.028e-06   !  multiplicative factor
-   rn_trfac(2)   =   1.028e-06   !  -      -      -     -
-   rn_trfac(3)   =  44.6e-06     !  -      -      -     -
-   rn_trfac(5)   = 117.0e-06     !  -      -      -     -
-   rn_trfac(7)   =   1.0e-06     !  -      -      -     -
-   rn_trfac(10)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(14)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(23)  =   7.3125e-06  !  -      -      -     -
-   rn_trfac(25)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(26)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(27)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(28)  =   1.0e-06     !  -      -      -     -
-   rn_trfac(29)  =   1.0e-06     !  -      -      -     -
+   rn_trfac(1)   =    1.028e-06   !  multiplicative factor
+   rn_trfac(2)   =    1.028e-06   !  -      -      -     -
+   rn_trfac(3)   =     44.6e-06   !  -      -      -     -
+   rn_trfac(5)   =    117.0e-06   !  -      -      -     -
+   rn_trfac(7)   =      1.0e-06   !  -      -      -     -
+   rn_trfac(10)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(14)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(23)  =   7.3125e-06   !  -      -      -     -
+   rn_trfac(25)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(26)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(27)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(28)  =      1.0e-06   !  -      -      -     -
+   rn_trfac(29)  =      1.0e-06   !  -      -      -     -
 /
 !-----------------------------------------------------------------------
@@ -115,5 +115,5 @@
 &namtrc_dcy      !  Diurnal cycle
 !-----------------------------------------------------------------------
-   ln_trcdc2dm   =  .true.   !  Diurnal cycle for TOP
+   ln_trcdc2dm   = _AUTO_: DEFAULT=.TRUE.   !  Diurnal cycle for TOP
 /
 !-----------------------------------------------------------------------