Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6618)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/orchidee.card	(revision 6622)
@@ -37,5 +37,5 @@
 [InitialStateFiles]
 List=	(${R_IN}/SRF/SOIL/soils_param.nc, .), \
-	(${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc , .), \
+	(${R_IN}/SRF/SOIL/soil_bulk_and_ph.nc, .), \
 	(${R_IN}/SRF/reftemp.nc, . ), \
 	(${R_IN}/SRF/ROUTING/routing.nc, . ), \
@@ -61,10 +61,11 @@
 
 [OutputText]
-List=   (out_orchidee*, orchidee.def, , orchidee_pft.def, used_orchidee.def, used_orchidee_pft.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
+List=   (out_orchidee, orchidee.def, orchidee_pft.def, used_orchidee.def, used_orchidee_pft.def, iodef.xml, context_orchidee.xml, context_input_orchidee.xml, field_def_orchidee.xml, file_def_orchidee.xml, river_desc.nc)
 
 [OutputFiles]
 List=   (sechiba_history.nc,   ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
         (sechiba_history_4dim.nc,${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history_4dim.nc, NONE), \
-        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE)
+        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE), \
+        (forcing_by_ORCHIDEE.nc, ${R_OUT_SRF_O_H}/${PREFIX}_forcing_by_ORCHIDEE.nc,   NONE)
 
 [Post_1M_sechiba_history]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 6618)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/amip/COMP/stomate.card	(revision 6622)
@@ -65,5 +65,5 @@
 TimeSeriesVars2D = (T2M_MONTH,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (LAI,VEGET_COV_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,TOTAL_SOIL_CARB,CO2_FIRE,TOTAL_TURN,WOOD_HARVEST_PFT)
+TimeSeriesVars3D = (LAI_MEAN,VEGET_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M_c,TOTAL_M_n,TOTAL_BM_LITTER_c,TOTAL_BM_LITTER_n,TOTAL_SOIL_c,TOTAL_SOIL_n,CO2_FIRE,TOTAL_TURN_c,TOTAL_TURN_n,HARVEST_WOOD_c,HARVEST_WOOD_n)
 ChunckJob3D = NONE
 Seasonal = ON
@@ -72,5 +72,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, Areas, CONTFRAC, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep, fWoodharvest)
+TimeSeriesVars2D = (cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp_c, nbp_n, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep_c, nep_n, fWoodharvest)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6618)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/orchidee.card	(revision 6622)
@@ -65,5 +65,6 @@
 List=   (sechiba_history.nc,   ${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history.nc, Post_1M_sechiba_history), \
         (sechiba_history_4dim.nc,${R_OUT_SRF_O_M}/${PREFIX}_1M_sechiba_history_4dim.nc, NONE), \
-        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE)
+        (sechiba_out_2.nc,     ${R_OUT_SRF_O_H}/${PREFIX}_HF_sechiba_out_2.nc,   NONE), \
+        (forcing_by_ORCHIDEE.nc, ${R_OUT_SRF_O_H}/${PREFIX}_forcing_by_ORCHIDEE.nc,   NONE)
 
 [Post_1M_sechiba_history]
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/stomate.card
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/stomate.card	(revision 6618)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/EXPERIMENTS/LMDZOR/clim_pdControl/COMP/stomate.card	(revision 6622)
@@ -66,5 +66,5 @@
 TimeSeriesVars2D = (T2M_MONTH,RESOLUTION_X,RESOLUTION_Y,CONVFLUX,CFLUX_PROD10,CFLUX_PROD100,HARVEST_ABOVE)
 ChunckJob2D = NONE
-TimeSeriesVars3D = (LAI,VEGET_COV_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M,TOTAL_BM_LITTER,TOTAL_SOIL_CARB,CO2_FIRE,TOTAL_TURN,WOOD_HARVEST_PFT)
+TimeSeriesVars3D = (LAI_MEAN,VEGET_MAX,NPP,GPP,HET_RESP,MAINT_RESP,GROWTH_RESP,AGE,HEIGHT,TOTAL_M_c,TOTAL_M_n,TOTAL_BM_LITTER_c,TOTAL_BM_LITTER_n,TOTAL_SOIL_c,TOTAL_SOIL_n,CO2_FIRE,TOTAL_TURN_c,TOTAL_TURN_n,HARVEST_WOOD_c,HARVEST_WOOD_n)
 ChunckJob3D = NONE
 Seasonal = ON
@@ -73,5 +73,5 @@
 Patches = ()
 GatherWithInternal = (lon, lat, Areas, CONTFRAC, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep, fWoodharvest)
+TimeSeriesVars2D = (cVeg, cLitter, cSoil, cProduct, lai, gpp, ra, npp, rh, fFire, fHarvest, fLuc, nbp_c, nbp_n, fVegLitter, fLitterSoil, cLeaf, cWood, cRoot, cMisc, cLitterAbove, cLitterBelow, cSoilFast, cSoilMedium, cSoilSlow, landCoverFrac, treeFracPrimDec, treeFracPrimEver, c3PftFrac, c4PftFrac, rGrowth, rMaint, nppLeaf, nppWood, nppRoot, nep_c, nep_n, fWoodharvest)
 ChunckJob2D = NONE
 TimeSeriesVars3D = ()