Index: CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/IPSLCM6.2/compile_ipslcm6.sh	(revision 6629)
@@ -145,5 +145,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/IPSLCM6.3/compile_ipslcm6.sh
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/compile_ipslcm6.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/compile_ipslcm6.sh	(revision 6629)
@@ -155,5 +155,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/IPSLCM6.5/compile_ipslcm6.sh
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.5/compile_ipslcm6.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/IPSLCM6.5/compile_ipslcm6.sh	(revision 6629)
@@ -128,5 +128,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/LMDZISO_v6.4/compile_lmdziso.sh
===================================================================
--- CONFIG/UNIFORM/v6/LMDZISO_v6.4/compile_lmdziso.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/LMDZISO_v6.4/compile_lmdziso.sh	(revision 6629)
@@ -117,5 +117,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/compile_lmdzorinca.sh
===================================================================
--- CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/compile_lmdzorinca.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/LMDZORINCA_v6.2/compile_lmdzorinca.sh	(revision 6629)
@@ -154,5 +154,11 @@
     case $( hostname -s ) in
         jean-zay*)
-            fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.2/compile_lmdzor.sh
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.2/compile_lmdzor.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.2/compile_lmdzor.sh	(revision 6629)
@@ -117,5 +117,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.3/compile_lmdzor.sh
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.3/compile_lmdzor.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.3/compile_lmdzor.sh	(revision 6629)
@@ -117,5 +117,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/LMDZOR_v6.4/compile_lmdzor.sh
===================================================================
--- CONFIG/UNIFORM/v6/LMDZOR_v6.4/compile_lmdzor.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/LMDZOR_v6.4/compile_lmdzor.sh	(revision 6629)
@@ -117,5 +117,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/LMDZREPR_v6/compile_lmdzrepr.sh
===================================================================
--- CONFIG/UNIFORM/v6/LMDZREPR_v6/compile_lmdzrepr.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/LMDZREPR_v6/compile_lmdzrepr.sh	(revision 6629)
@@ -128,5 +128,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v6/NEMO_v6.5.1/compile_nemo.sh
===================================================================
--- CONFIG/UNIFORM/v6/NEMO_v6.5.1/compile_nemo.sh	(revision 6628)
+++ CONFIG/UNIFORM/v6/NEMO_v6.5.1/compile_nemo.sh	(revision 6629)
@@ -105,5 +105,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
 	irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/compile_icolmdzorinca.sh
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/compile_icolmdzorinca.sh	(revision 6628)
+++ CONFIG/UNIFORM/v7/ICOLMDZORINCA_v7/compile_icolmdzorinca.sh	(revision 6629)
@@ -140,5 +140,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/compile_icolmdzor.sh
===================================================================
--- CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/compile_icolmdzor.sh	(revision 6628)
+++ CONFIG/UNIFORM/v7/ICOLMDZOR_LAM_v7/compile_icolmdzor.sh	(revision 6629)
@@ -127,5 +127,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;
Index: CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh	(revision 6628)
+++ CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh	(revision 6629)
@@ -149,5 +149,11 @@
     case $( hostname -s ) in
 	jean-zay*)
-	    fcm_arch=X64_JEANZAY;;
+            if [[ $( hostname -s ) != *"pp"* ]] ; then
+                echo "Warning! You MUST compile on jean-zay-pp."
+                echo "EXIT"
+                exit
+            else
+                fcm_arch=X64_JEANZAY
+            fi ;;
         irene170|irene171|irene190|irene191|irene192|irene193)
             fcm_arch=X64_IRENE;;