Index: CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_CoupOceAtm_TEST/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_CoupOceAtm_TEST/COMP/lmdz.card	(revision 6628)
+++ CONFIG/UNIFORM/v6/IPSLCM6.3/EXPERIMENTS/IPSLESM/GES/piControl_GES_CoupOceAtm_TEST/COMP/lmdz.card	(revision 6631)
@@ -4,8 +4,24 @@
 [UserChoices]
 # Physics package to use :
-# LMDZ_Physics=AP for standard/old physics(defalut), can be used with LMDZ4_AR5 or LMDZ5/trunk sources
-LMDZ_Physics=NPv6.1
+LMDZ_Physics=NPv6.2
 
-# Set ConfType to choose parameters for aerosols, solar and green house gazes.
+# Activate the call to phytrac to run tracer simulation 
+iflag_phytrac=1
+# desactivate aerosol_strato in lmdz
+flag_aerosol_strat=0
+
+# Use XIOS as output library
+XIOS=y
+
+# Set the variable CREATE needed further below to find the initial and boundary condition files.
+CREATE=ELC-${RESOL_ATM_3D}
+
+# ByPass_hgardfou_teta=y : modify teta_ parameters for following CumulPeriod only
+ByPass_hgardfou_teta=n
+
+# ByPass_hgardfou_mats=y : set parameter purmats=y for following CumulPeriod only
+ByPass_hgardfou_mats=n
+
+# Set ConfType to choose parameters for aerosols, solar and green house gazes. 
 # The parameter file PARAM/config.def_$ConfType will be used.
 # ConfType=preind/actuel/annuel
@@ -27,10 +43,7 @@
 carbon_cycle_rad=n
 
-
-# ByPass_hgardfou_teta=y : modify teta_ parameters for following CumulPeriod only
-ByPass_hgardfou_teta=n
-
-# ByPass_hgardfou_mats=y : set parameter purmats=y for following CumulPeriod only
-ByPass_hgardfou_mats=n
+# Nugding : ok_guide=y/n
+# If ok_guide=y, add nudging files(u.nc, v.nc, hur.nc,...) in BoundaryFiles section below.
+ok_guide=n
 
 # Specify which output file to activate and at which output_level
@@ -113,112 +126,12 @@
 
 [OutputFiles]
-List=   (histmth.nc,       ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,       Post_1M_histmth),       \
-        (histmthCOSP.nc,   ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthCOSP.nc,   NONE),                  \
-        (histmthNMC.nc,    ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmthNMC.nc,    NONE),    \
-        (histday.nc,       ${R_OUT_ATM_O_D}/${PREFIX}_1D_histday.nc,       NONE),                  \
-        (histdayCOSP.nc,   ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayCOSP.nc,   NONE),                  \
-        (histdayNMC.nc,    ${R_OUT_ATM_O_D}/${PREFIX}_1D_histdayNMC.nc,    NONE),                  \
-        (histhf.nc,        ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhf.nc,        NONE),                  \
-        (histhfCOSP.nc,    ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfCOSP.nc,    NONE),                  \
-        (histhfNMC.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_HF_histhfNMC.nc,     NONE),                  \
-        (histhf3h.nc,      ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3h.nc,      NONE),                  \
-        (histhf3hm.nc,     ${R_OUT_ATM_O_H}/${PREFIX}_3H_histhf3hm.nc,     NONE)
+List=	(histmth.nc,      ${R_OUT_ATM_O_M}/${PREFIX}_1M_histmth.nc,   Post_1M_histmth   )	
 
 [Post_1M_histmth]
 Patches= ()
 GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds, aire)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFC, LWupSFCclr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWdnTOA, SWupTOA, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, ave_t2m_daily_max, ave_t2m_daily_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, v10m, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, od550_STRAT, sconcoa, sconcbc, sconcso4, R_ecc, R_peri, R_incl, solaire, rsun1, co2_ppm, CH4_ppb, N2O_ppb, CFC11_ppt, CFC12_ppt, colO3_strat, colO3_trop)
-ChunckJob2D = NONE
-TimeSeriesVars3D = (temp, theta, ovap, geop, vitu, vitv, vitw, pres, rneb, rhum, paprs, ec550aer, concoa, concbc, concso4, concss, concdust)
+TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, ftime_con, iwp, lwp, LWdnSFC, LWdnSFCclr, LWupSFCclr, LWdn200, LWdn200clr, LWup200, LWup200clr, precip, prw, pluc, psol, q2m, rh2m, sens, sicf, slp, snow, soll0, soll, sols0, sols, SWdnSFC, SWupSFC, SWup200, SWdnTOA, SWupTOA, SWdn200, SWdnSFCclr, SWupSFCclr, SWupTOAclr, t2m, t2m_max, t2m_min, taux, taux_ter, taux_sic, taux_lic, taux_oce, tauy, tauy_ter, tauy_sic, tauy_lic, tauy_oce, lat_ter, lat_sic, lat_lic, lat_oce, nettop, pbase, ptop, topl0, topl, tops0, tops, topswad, topswai, tsol, tsol_ter, tsol_lic, tsol_oce, tsol_sic , u10m, u500, v10m, v500, w500, pourc_ter, pourc_oce, pourc_sic, pourc_lic, wind10m, od550aer, od550lt1aer, absvisaer, loadoa, loadbc, loadso4, loaddust, loadss, sconcoa, sconcbc, sconcso4, sconcdust, sconcss, reffclwtop, cldncl, swtoaas_ant, swtoacs_ant, swtoacf_ant, swsrfas_ant, swsrfcs_ant, swsrfcf_ant, swtoaas_nat, swtoacs_nat, swtoacf_nat, swsrfas_nat, swsrfcs_nat, swsrfcf_nat, solswai, solswad, swtoacf_zero, swsrfcf_zero)
+ChunckJob2D = 100Y
+TimeSeriesVars3D = (upwd, lwcon, iwcon, lcc3dcon, lcc3dstra, temp, theta, ovap, ovapinit, geop, vitu, vitv, vitw, pres, rneb, rnebcon, rhum, mc, paprs, scdnc, ec550aer, concoa, concbc, concso4, concss, concdust, reffclws, reffclwc, tnt, dtdyn, dtphy, dtlschr, tntr, tntscpbl, tnhus, dqdyn, dqvdf, tnhusscpbl, dqphy, evu, mcd)
 ChunckJob3D = 100Y
 Seasonal=ON
-
-[Post_1M_histmthCOSP]
-Patches = ()
-GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_centered, time_centered_bounds, aire)
-TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
-ChunckJob2D = OFF
-TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_1M_histmthNMC]
-Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ta, tro3, zg, hus, hur, ua, va, wap)
-ChunckJob3D = NONE
-Seasonal=ON
-
-[Post_1D_histday]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (bils, cldh, cldl, cldm, cldq, cldt, evap, flat, precip, pluc, plul, prw, psol, q2m, sens, sicf, slp, soll, sols, snow, SWdnSFC, t2m, t2m_max, t2m_min, topl, tops, tsol, u10m, v10m, wind10m, wind10max)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (lwcon, iwcon, mc, rhum, rneb, temp, theta, ovap, geop, vitu, vitv, vitw, pres, paprs)
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_1D_histdayCOSP]
-Patches = ()
-GatherWithInternal = (lon, lat, pressure2, height, sza, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso, tclisccp, albisccp, ctpisccp)
-ChunckJob2D = OFF
-TimeSeriesVars3D = (clcalipso, clisccp2_c01, clisccp2_c02, clisccp2_c03, clisccp2_c04, clisccp2_c05, clisccp2_c06, clisccp2_c07, parasol_refl)
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_1D_histdayNMC]
-Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
-ChunckJob3D = 10Y
-Seasonal=OFF
-
-[Post_HF_histhf]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (cldt, psol, q2m, slp, precip, pluc, plul, t2m, tsol, u10m, v10m)
-ChunckJob2D = 50Y
-TimeSeriesVars3D = (temp, theta, ovap, vitu, vitv)
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_HF_histhfCOSP]
-Patches = ()
-GatherWithInternal = (lon, lat, height, sza, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (cllcalipso, clmcalipso, clhcalipso, cltcalipso)
-ChunckJob2D = OFF
-TimeSeriesVars3D = (clcalipso, parasol_refl, cfad_lidarsr532_c01, cfad_lidarsr532_c02, cfad_lidarsr532_c03, cfad_lidarsr532_c04, cfad_lidarsr532_c05, cfad_lidarsr532_c06, cfad_lidarsr532_c07, cfad_lidarsr532_c08, cfad_lidarsr532_c09, cfad_lidarsr532_c10, cfad_lidarsr532_c11, cfad_lidarsr532_c12, cfad_lidarsr532_c13, cfad_lidarsr532_c14, cfad_lidarsr532_c15)
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_HF_histhfNMC]
-Patches = ()
-GatherWithInternal = (lon, lat, plev, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = ()
-ChunckJob2D = NONE
-TimeSeriesVars3D = (ta, zg, hus, hur, ua, va, wap)
-ChunckJob3D = 10Y
-Seasonal=OFF
-
-[Post_3H_histhf3hm]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (flat, precip, pluc, snow, topl, topl0, SWupTOA, SWupTOAclr, SWdnTOA, SWupSFC, SWupSFCclr, SWdnSFC, SWdnSFCclr, LWupSFC, LWupSFCclr, LWdnSFC, LWdnSFCclr, bils, bils_tke, bils_diss, bils_ec, bils_kinetic, bils_enthalp, bils_latent, sens, cldt, zmax_th)
-ChunckJob2D = OFF
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF
-
-[Post_3H_histhf3h]
-Patches= ()
-GatherWithInternal = (lon, lat, presnivs, time_counter, time_centered, time_centered_bounds)
-TimeSeriesVars2D = (phis, tsol, t2m, q2m, ustar, u10m, v10m, psol)
-ChunckJob2D = OFF
-TimeSeriesVars3D = ()
-ChunckJob3D = OFF
-Seasonal=OFF