Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/dynamico.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/dynamico.card	(revision 6656)
@@ -31,7 +31,6 @@
 [ParametersFiles]
 List=   \
-   	(${SUBMIT_DIR}/PARAM/earth_const.def, .),\
-   	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
-   	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
+   	(${SUBMIT_DIR}/PARAM/DYNAMICO/earth_const.def, .),\
+   	(${SUBMIT_DIR}/PARAM/DYNAMICO/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
 	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/lmdz.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/lmdz.card	(revision 6656)
@@ -72,18 +72,17 @@
 
 [ParametersFiles]
-List=   (${SUBMIT_DIR}/PARAM/physiq.def_${LMDZ_Physics}, physiq.def),       \
-        (${SUBMIT_DIR}/PARAM/vert.def_L${RESOL_ATM_Z},   vert.def),         \
+List=   (${SUBMIT_DIR}/PARAM/LMDZ/physiq.def_${LMDZ_Physics}, physiq.def),       \
+        (${SUBMIT_DIR}/PARAM/LMDZ/vert.def_L${RESOL_ATM_Z},   vert.def),         \
         (${MODIPSL}/modeles/LMDZ/DefLists/cosp_input_nl.txt, .),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/cosp_output_nl.txt, .),           \
-        (${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),          \
-        (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-        (${SUBMIT_DIR}/PARAM/tracer.def, .),                                \
-        (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-        (${SUBMIT_DIR}/PARAM/ping_LMDZ.xml, ping_lmdz.xml ),                \
+        (${SUBMIT_DIR}/PARAM/LMDZ/config.def_${ConfType},  config.def),          \
+        (${SUBMIT_DIR}/PARAM/LMDZ/run.def, .),                                   \
+        (${SUBMIT_DIR}/PARAM/LMDZ/tracer.def, .),                                \
+        (${SUBMIT_DIR}/PARAM/LMDZ/ping_LMDZ.xml, ping_lmdz.xml ),                \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_input_lmdz.xml, . ),      \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
-        (${SUBMIT_DIR}/PARAM/file_def_histmth_lmdz.xml, . ),   	 	    \
+        (${SUBMIT_DIR}/PARAM/LMDZ/file_def_histmth_lmdz.xml, . ),   	 	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/oasis.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/oasis.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/oasis.card	(revision 6656)
@@ -39,5 +39,5 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/namcouple_${RESOL_CPL}, namcouple)
+List=	(${SUBMIT_DIR}/PARAM/OASIS/namcouple_${RESOL_CPL}, namcouple)
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/opa9.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/opa9.card	(revision 6656)
@@ -36,12 +36,12 @@
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ref           , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/domain_def_nemo.xml    , domain_def_nemo.xml ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/axis_def_nemo.xml      , axis_def_nemo.xml   ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/grid_def_nemo.xml      , grid_def_nemo.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-oce.xml , field_def_nemo-oce.xml  ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/file_def_nemo-oce.xml        , file_def_nemo-oce.xml ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/context_nemo.xml             , context_nemo.xml ), \
-        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg              , namelist_cfg )
+List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ref    , namelist_ref        ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/context_nemo.xml      , context_nemo.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/domain_def_nemo.xml   , domain_def_nemo.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/axis_def_nemo.xml     , axis_def_nemo.xml   ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/grid_def_nemo.xml     , grid_def_nemo.xml  ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/field_def_nemo-oce.xml, field_def_nemo-oce.xml  ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/file_def_nemo-oce.xml , file_def_nemo-oce.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_${RESOL_OCE}_cfg       , namelist_cfg )
 
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/orchidee.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/orchidee.card	(revision 6656)
@@ -55,7 +55,7 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def_v4, orchidee.def)   ,\
-        (${SUBMIT_DIR}/PARAM/orchidee_pft.def_${DefSuffix}_v4, orchidee_pft.def) ,\
-        (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )               ,\
+List=	(${SUBMIT_DIR}/PARAM/ORCHIDEE/orchidee.def_v4, orchidee.def)   ,\
+        (${SUBMIT_DIR}/PARAM/ORCHIDEE/orchidee_pft.def_${DefSuffix}_v4, orchidee_pft.def) ,\
+        (${SUBMIT_DIR}/PARAM/ORCHIDEE/ping_orchidee.xml, . )               ,\
 	(${MODIPSL}/modeles/ORCHIDEE_trunk/src_xml/file_def_orchidee.xml, .) ,\
         (${MODIPSL}/modeles/ORCHIDEE_trunk/src_xml/context_input_orchidee.xml, .) ,\
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/pisces.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/pisces.card	(revision 6656)
@@ -37,13 +37,13 @@
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref         , namelist_pisces_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref   ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
-     	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}_cfg               , namelist_top_cfg           ), \
-        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                         , namelist_pisces_cfg        ), \
-        (${SUBMIT_DIR}/PARAM/namelist_trc_cfg                            , namelist_trc_cfg           ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/file_def_nemo-pisces.xml          , file_def_nemo-pisces.xml   )
+List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref      , namelist_top_ref), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref   , namelist_pisces_ref), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref      , namelist_trc_ref   ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
+        (${SUBMIT_DIR}/PARAM/NEMO/file_def_nemo-pisces.xml    , file_def_nemo-pisces.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_top_${RESOL_OCE}_cfg         , namelist_top_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_pisces_cfg                   , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_trc_cfg                      , namelist_trc_cfg           )
 
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/si3.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/si3.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/si3.card	(revision 6656)
@@ -19,7 +19,8 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ice_ref      , namelist_ice_ref ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-ice.xml, field_def_nemo-ice.xml ),\
-        (${SUBMIT_DIR}/PARAM/namelist_ice_${RESOL_OCE}_cfg, namelist_ice_cfg ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/file_def_nemo-ice_${RESOL_OCE}.xml, file_def_nemo-ice.xml   )
+        (${SUBMIT_DIR}/PARAM/NEMO/field_def_nemo-ice.xml, field_def_nemo-ice.xml ),\
+        (${SUBMIT_DIR}/PARAM/NEMO/file_def_nemo-ice_${RESOL_OCE}.xml, file_def_nemo-ice.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_ice_${RESOL_OCE}_cfg, namelist_ice_cfg )
+
 
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/xios.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/xios.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_ORCHv4_TEST/COMP/xios.card	(revision 6656)
@@ -15,5 +15,5 @@
 
 [ParametersFiles]
-List=	()
+List=  (${SUBMIT_DIR}/PARAM/XIOS/iodef.xml, . )
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/dynamico.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/dynamico.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/dynamico.card	(revision 6656)
@@ -31,7 +31,6 @@
 [ParametersFiles]
 List=   \
-   	(${SUBMIT_DIR}/PARAM/earth_const.def, .),\
-   	(${SUBMIT_DIR}/PARAM/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
-   	(${SUBMIT_DIR}/PARAM/iodef.xml, .),\
+   	(${SUBMIT_DIR}/PARAM/DYNAMICO/earth_const.def, .),\
+   	(${SUBMIT_DIR}/PARAM/DYNAMICO/run_dynamico.def_nbp${RESOL_NBP}, run_dynamico.def),\
 	(${MODIPSL}/modeles/DYNAMICO/xml/sponge_dynamico.xml, .),\
    	(${MODIPSL}/modeles/DYNAMICO/xml/context_dynamico.xml, .),\
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/lmdz.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/lmdz.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/lmdz.card	(revision 6656)
@@ -72,18 +72,17 @@
 
 [ParametersFiles]
-List=   (${SUBMIT_DIR}/PARAM/physiq.def_${LMDZ_Physics}, physiq.def),       \
-        (${SUBMIT_DIR}/PARAM/vert.def_L${RESOL_ATM_Z},   vert.def),         \
+List=   (${SUBMIT_DIR}/PARAM/LMDZ/physiq.def_${LMDZ_Physics}, physiq.def),       \
+        (${SUBMIT_DIR}/PARAM/LMDZ/vert.def_L${RESOL_ATM_Z},   vert.def),         \
         (${MODIPSL}/modeles/LMDZ/DefLists/cosp_input_nl.txt, .),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/cosp_output_nl.txt, .),           \
-        (${SUBMIT_DIR}/PARAM/config.def_${ConfType},  config.def),          \
-        (${SUBMIT_DIR}/PARAM/run.def, .),                                   \
-        (${SUBMIT_DIR}/PARAM/tracer.def, .),                                \
-        (${SUBMIT_DIR}/PARAM/iodef.xml, . ),                                \
-        (${SUBMIT_DIR}/PARAM/ping_LMDZ.xml, ping_lmdz.xml ),                \
+        (${SUBMIT_DIR}/PARAM/LMDZ/config.def_${ConfType},  config.def),          \
+        (${SUBMIT_DIR}/PARAM/LMDZ/run.def, .),                                   \
+        (${SUBMIT_DIR}/PARAM/LMDZ/tracer.def, .),                                \
+        (${SUBMIT_DIR}/PARAM/LMDZ/ping_LMDZ.xml, ping_lmdz.xml ),                \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_lmdz.xml, . ),            \
         (${MODIPSL}/modeles/LMDZ/DefLists/context_input_lmdz.xml, . ),      \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_lmdz.xml, . ),          \
         (${MODIPSL}/modeles/LMDZ/DefLists/field_def_cosp1.xml, . ),         \
-        (${SUBMIT_DIR}/PARAM/file_def_histmth_lmdz.xml, . ),   	 	    \
+        (${SUBMIT_DIR}/PARAM/LMDZ/file_def_histmth_lmdz.xml, . ),   	 	    \
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthCOSP_lmdz.xml, .),\
         (${MODIPSL}/modeles/LMDZ/DefLists/file_def_histmthNMC_lmdz.xml, . ),\
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/oasis.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/oasis.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/oasis.card	(revision 6656)
@@ -39,5 +39,5 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/namcouple_${RESOL_CPL}, namcouple)
+List=	(${SUBMIT_DIR}/PARAM/OASIS/namcouple_${RESOL_CPL}, namcouple)
 
 [RestartFiles]
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/opa9.card	(revision 6656)
@@ -36,12 +36,12 @@
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ref           , namelist_ref        ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/domain_def_nemo.xml    , domain_def_nemo.xml ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/axis_def_nemo.xml      , axis_def_nemo.xml   ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/grid_def_nemo.xml      , grid_def_nemo.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-oce.xml , field_def_nemo-oce.xml  ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/file_def_nemo-oce.xml        , file_def_nemo-oce.xml ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/context_nemo.xml             , context_nemo.xml ), \
-        (${SUBMIT_DIR}/PARAM/namelist_${RESOL_OCE}_cfg              , namelist_cfg )
+List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ref    , namelist_ref        ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/context_nemo.xml      , context_nemo.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/domain_def_nemo.xml   , domain_def_nemo.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/axis_def_nemo.xml     , axis_def_nemo.xml   ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/grid_def_nemo.xml     , grid_def_nemo.xml  ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/field_def_nemo-oce.xml, field_def_nemo-oce.xml  ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/file_def_nemo-oce.xml , file_def_nemo-oce.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_${RESOL_OCE}_cfg       , namelist_cfg )
 
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/orchidee.card	(revision 6656)
@@ -51,7 +51,7 @@
 
 [ParametersFiles]
-List=	(${SUBMIT_DIR}/PARAM/orchidee.def_v22, orchidee.def)   ,\
-    (${SUBMIT_DIR}/PARAM/ping_orchidee.xml, . )                       ,\
-	(${SUBMIT_DIR}/PARAM/file_def_orchidee.xml, .)  ,\
+List=	(${SUBMIT_DIR}/PARAM/ORCHIDEE/orchidee.def_v22, orchidee.def)   ,\
+    (${SUBMIT_DIR}/PARAM/ORCHIDEE/ping_orchidee.xml, . )                       ,\
+	(${SUBMIT_DIR}/PARAM/ORCHIDEE/file_def_orchidee.xml, .)  ,\
 	(${MODIPSL}/modeles/ORCHIDEE_2_2/src_xml/context_input_orchidee.xml, .) ,\
 	(${MODIPSL}/modeles/ORCHIDEE_2_2/src_xml/context_routing_orchidee.xml, .)   ,\
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/pisces.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/pisces.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/pisces.card	(revision 6656)
@@ -37,13 +37,13 @@
 
 [ParametersFiles]
-List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref            , namelist_top_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref         , namelist_pisces_ref), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref            , namelist_trc_ref   ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
-     	(${SUBMIT_DIR}/PARAM/namelist_top_${RESOL_OCE}_cfg               , namelist_top_cfg           ), \
-        (${SUBMIT_DIR}/PARAM/namelist_pisces_cfg                         , namelist_pisces_cfg        ), \
-        (${SUBMIT_DIR}/PARAM/namelist_trc_cfg                            , namelist_trc_cfg           ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/file_def_nemo-pisces.xml          , file_def_nemo-pisces.xml   )
+List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_top_ref      , namelist_top_ref), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_pisces_ref   , namelist_pisces_ref), \
+        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_trc_ref      , namelist_trc_ref   ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/field_def_nemo-pisces.xml   , field_def_nemo-pisces.xml  ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/field_def_nemo-innerttrc.xml, field_def_nemo-innerttrc.xml), \
+        (${SUBMIT_DIR}/PARAM/NEMO/file_def_nemo-pisces.xml    , file_def_nemo-pisces.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_top_${RESOL_OCE}_cfg         , namelist_top_cfg           ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_pisces_cfg                   , namelist_pisces_cfg        ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_trc_cfg                      , namelist_trc_cfg           )
 
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/si3.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/si3.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/si3.card	(revision 6656)
@@ -19,7 +19,8 @@
 [ParametersFiles]
 List=   (${MODIPSL}/modeles/NEMO/cfgs/SHARED/namelist_ice_ref      , namelist_ice_ref ), \
-        (${MODIPSL}/modeles/NEMO/cfgs/SHARED/field_def_nemo-ice.xml, field_def_nemo-ice.xml ),\
-        (${SUBMIT_DIR}/PARAM/namelist_ice_${RESOL_OCE}_cfg, namelist_ice_cfg ), \
-        (${SUBMIT_DIR}/../SOURCES/NEMO/file_def_nemo-ice_${RESOL_OCE}.xml, file_def_nemo-ice.xml   )
+        (${SUBMIT_DIR}/PARAM/NEMO/field_def_nemo-ice.xml, field_def_nemo-ice.xml ),\
+        (${SUBMIT_DIR}/PARAM/NEMO/file_def_nemo-ice_${RESOL_OCE}.xml, file_def_nemo-ice.xml ), \
+        (${SUBMIT_DIR}/PARAM/NEMO/namelist_ice_${RESOL_OCE}_cfg, namelist_ice_cfg )
+
 
 
Index: CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/xios.card
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/xios.card	(revision 6627)
+++ CONFIG/UNIFORM/v7/IPSLCM7/EXPERIMENTS/IPSLCM/piControl_TEST/COMP/xios.card	(revision 6656)
@@ -15,5 +15,5 @@
 
 [ParametersFiles]
-List=	()
+List=  (${SUBMIT_DIR}/PARAM/XIOS/iodef.xml, . )
 
 [RestartFiles]