Index: CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh	(revision 6675)
+++ CONFIG/UNIFORM/v7/IPSLCM7/compile_ipslcm7.sh	(revision 6677)
@@ -14,6 +14,6 @@
 #### Set default options
 # Activate compilation of LMDZ for regular latlon grid without DYNAMICO
-regular_latlon=no
-# Atmospheric resolution for regular grid for LMDZ/ORCHIDEE, if regular_latlon=yes
+regular_latlon=y
+# Atmospheric resolution for regular grid for LMDZ/ORCHIDEE, if regular_latlon=y
 resol_atm=144x142x79
 # Coupled with ocean biogeochemistry (y/n)
@@ -65,5 +65,5 @@
 while (($# > 0)) ; do
     case $1 in
-	"-h") cat <<end_help
+	"-h"|"-help") cat <<end_help
 ########################################################################
 # Usage of the script compile_ipslcm7.sh
@@ -73,18 +73,23 @@
 ./compile_ipslcm7.sh [Options] 
 
-
-Options: [-full] Full recompilation of all components. This option can be added to all other options.
-         [-cleannemo] Full recompilation of NEMO component only.
-         [-regular_latlon] Activate compilation of LMDZ for regular latlon grid with default resol_atm size in addition to the icosahedric grid. 
-         [-resol_atm XXXxYYYxZZ] Define which regular grid to compile.
-         [-debug / -dev / -prod] Level of optimization. One of these can be added to all other compile options. Default: -prod.
-         [-subconfig X] Set this option if you want to compile a sub-configuration. X can be: ICOLMDZORINCA, ICOLMDZOR, LMDZORINCA or LMDZOR. 
-                        If this option is not set, all extracted components are compiled. 
-
-Example 1: Default compilation of IPSLCM7 for resolution LR 
-          (Resolution atmos: nbp40 )
+Description of all options:
+
+[-full] Full recompilation of all components. This option can be added to all other options.
+[-cleannemo] Full recompilation of NEMO component only.
+[-regular_latlon yes/no] Activate or deactivate compilation of LMDZ dynamics for regular latlon grid. 
+                         Default resol_atm size is used. This option is set in addition to the compilation of the icosahedric grid. 
+[-resol_atm XXXxYYYxZZ] Define which regular grid to compile. A default grid is set if this option is not used.
+[-debug / -dev / -prod] Level of optimization. One of these can be added to all other compile options. Default: -prod.
+[-subconfig X] Set this option if you want to compile a sub-configuration. X can be one of following sub-configurations : 
+               ICOLMDZORINCA, ICOLMDZOR, LMDZORINCA, LMDZOR, IPSLCM-reg or IPSLCM
+               By default, all available components are compiled. 
+[-orch4 / -orch22] Choice of ORCHIDEE version. The source code are found in modeles/ORCHIDEE_trunk or modeles/ORCHIDEE_2_2 
+                   and a link will be set to the choosen model version. Default version is currently ORCHIDEE_2_2 (-orch22).
+
+
+Example 1: Default compilation of IPSLCM7 
 ./compile_ipslcm7.sh
 
-Example 2: Default resolution (LR) compiled in debug mode
+Example 2: Default compilation in debug mode
 ./compile_ipslcm7.sh -debug
 
@@ -92,18 +97,18 @@
 ./compile_ipslcm7.sh -full
 
-Example 4: Compilation of LMDZ in regular lat-lon for default dimension 144x142x79. 
-./compile_ipslcm7.sh -regular_latlon
-           Activate regular lat-lon compilation and change resolution to 144x142x95 
+Example 4: Compilation in addition of LMDZ in regular lat-lon for a specific resolution : 
 ./compile_ipslcm7.sh -resol_atm 144x142x95
 
+Example 5: Compilation without regular grid (only icosaedric grid)
+./compile_ipslcm7.sh -regular_latlon no
+
 Example 5: Compiltion of ORCHIDEE_trunk version
-           Note that for compiling ORCHIDEE trunk you must first have extracted ORCHIDEE_trunk folder in modeles. 
-           modeles/ORCHIDEE_2_2 folder can be kept at the same time.
 ./compile_ipslcm7.sh -orch4
-./compile_ipslcm7.sh -regular_latlon -orch4
-
 
 Example 6: compilation of a specific chemistry for INCA (default is GES) 
 ./compile_ipslcm7.sh -chimie NMHC_AER_S 
+
+Example 7: Compilation of sub-configuration LMDZOR : 
+./compile_ipslcm7.sh -subconfig LMDZOR
 
 end_help
@@ -115,6 +120,6 @@
 	"-dev")	       optmode=dev ; shift ;;
 	"-prod")       optmode=prod ; shift ;;
-	"-regular_latlon")  regular_latlon=yes ; shift ;;
-	"-resol_atm")  regular_latlon=yes ; resol_atm=$2 ; shift ; shift ;;
+	"-regular_latlon")  regular_latlon=$2 ; shift ; shift ;;
+	"-resol_atm")  regular_latlon=y ; resol_atm=$2 ; shift ; shift ;;
 	"-subconfig")  subconfig=$2 ; shift ; shift ;;
 	"-full")       full_flag="-full"; full_nemo=y ; full_xios="--full" ; full_lmdz="-full" ; full_orch="-full" ; full_oasis=y ; full_inca="-clean" ; full_dyna="-full" ; shift ;;
@@ -146,5 +151,4 @@
 echo "   compinca=$compinca compnemo=$compnemo compoasis=$compoasis compdyna=$compdyna complmdz=y comporch=y compxios=y" >> $outfile
 echo >> $outfile
-
 ### Verification of argument
 # Set argorch depeinding on the version of ORCHIDEE. This is argument needed for the compilation of LMDZ to consider coherent interface. 
@@ -552,5 +556,5 @@
 
 ## 2.10 Compile LMDZ for regular latlon configuration
-if [ $regular_latlon = yes ] ; then
+if [ $regular_latlon = y ] ; then
 
     cd $modipsl/modeles/LMDZ
Index: CONFIG/UNIFORM/v7/IPSLCM7/define_config.sh
===================================================================
--- CONFIG/UNIFORM/v7/IPSLCM7/define_config.sh	(revision 6675)
+++ CONFIG/UNIFORM/v7/IPSLCM7/define_config.sh	(revision 6677)
@@ -43,5 +43,26 @@
 if [ $subconfig == default ] ; then
     echo ; echo Compilation of all availble components will be done:
-    echo compinca=$compinca compnemo=$compnemo compoasis=$compoasis compdyna=$compdyna complmdz=y comporch=y compxios=y
+
+elif [ $subconfig == IPSLCM ] || [ $subconfig == IPSLCM-ico ] ; then
+    # Full coupled model currently without INCA
+    if [ $compdyna == n ] || [ $compoasis == n ] || [ $compnemo == n ] ; then
+        echo ; echo It is not possible to compile IPSLCM.
+        echo Source code is missing
+        exit
+    else
+        echo "Compilation of IPSLCM configuration (without INCA) will be done"
+        compnemo=y compoasis=y compdyna=y compinca=n complmdz=y comporch=y compxios=y
+    fi
+elif [ $subconfig == IPSLCM-reg ] ; then
+    # Coupled model without DYNAMICO and INCA
+    if [ $compoasis == n ] || [ $compnemo == n ] ; then
+        echo ; echo It is not possible to compile IPSLCM-reg.
+        echo Source code is missing
+        exit
+    else
+	echo "Compilation of IPSLCM-reg configuration (without INCA and DYNAMICO) will be done"
+        compnemo=y compoasis=y compdyna=n compinca=n complmdz=y comporch=y compxios=y
+        regular_latlon=y
+    fi
 elif [ $subconfig == ICOLMDZORINCA ] ; then
     if [ $compinca == n ] || [ $compdyna == n ] ; then
@@ -51,4 +72,5 @@
     else
 	echo Compilation of ICOLMDZORINCA configuration will be done
+        compnemo=n compoasis=n compdyna=y compinca=y complmdz=y comporch=y compxios=y
     fi	
 elif [ $subconfig == ICOLMDZOR ] ; then
@@ -59,4 +81,5 @@
     else
 	echo Compilation of ICOLMDZOR configuration will be done
+        compnemo=n compoasis=n compdyna=y compinca=n complmdz=y comporch=y compxios=y
     fi
 elif [ $subconfig == LMDZORINCA ] ; then
@@ -66,17 +89,33 @@
         exit
     else
-	regular_latlon=yes
+	regular_latlon=y
 	echo Compilation of regular LMDZORINCA configuration for grid $resol_atm will be done 
+        compnemo=n compoasis=n compdyna=n compinca=y complmdz=y comporch=y compxios=y
     fi	
 elif [ $subconfig == LMDZOR ] ; then
-    regular_latlon=yes
     # We always suppose that LMDZ and ORCHIDEE are extracted. No check needs to be done.
+    regular_latlon=y
     echo Compilation of regular LMDZOR configuration for grid $resol_atm will be done
+    compnemo=n compoasis=n compdyna=n compinca=n complmdz=y comporch=y compxios=y
 else
-    echo ; echo The configuration $subconfig is not available
-    echo Choose between ICOLMDZORINCA ICOLMDZOR LMDZORINCA or LMDZOR 
-    echo Exit now
+    echo ; echo "The configuration $subconfig is not available"
+    echo "Choose between ICOLMDZORINCA, ICOLMDZOR, LMDZORINCA, LMDZOR"
+    echo "               IPSLCM or IPSLCM-reg" 
+    echo "Exit now"
     exit
 fi
+echo compnemo=$compnemo compoasis=$compoasis compdyna=$compdyna compinca=$compinca complmdz=y comporch=y compxios=y
 echo ;
 
+
+# Coherence test for variable regular_latlon which can be set as input argument
+if [ $regular_latlon == yes ] || [ $regular_latlon == y ] ; then
+	regular_laton=y
+elif [ $regular_latlon == no ] || [ $regular_latlon == n ] ; then
+        regular_laton=n
+else
+	echo "regular_latlon=$regular_latlon : This option is not possible."
+	echo "Compile using argument '-regular_latlon' no or '-regular_latlon yes'" 
+	echo "Exit now"
+fi
+